List all tasks
curl --request GET \
--url https://api.infinitecreator.com/v1/tasksimport requests
url = "https://api.infinitecreator.com/v1/tasks"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.infinitecreator.com/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "01K364FEGEDX32AK5RK447H2KP",
"state": "RUNNING",
"failure_message": "<string>",
"results": [
{
"agent_id": "<string>",
"url": "https://cdn.infinitecreator.com/example.mp4",
"created_at": "2026-06-18T10:48:54.689287+00:00",
"preview_url": "https://cdn.infinitecreator.com/example.gif",
"metadata": {}
}
],
"dropped_assets": [
{
"url": "<string>",
"reason": "quality"
}
]
}
],
"has_more": true
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}List all tasks
The tasks are returned sorted by creation date, with the most recently created tasks appearing first.
GET
/
v1
/
tasks
List all tasks
curl --request GET \
--url https://api.infinitecreator.com/v1/tasksimport requests
url = "https://api.infinitecreator.com/v1/tasks"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.infinitecreator.com/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "01K364FEGEDX32AK5RK447H2KP",
"state": "RUNNING",
"failure_message": "<string>",
"results": [
{
"agent_id": "<string>",
"url": "https://cdn.infinitecreator.com/example.mp4",
"created_at": "2026-06-18T10:48:54.689287+00:00",
"preview_url": "https://cdn.infinitecreator.com/example.gif",
"metadata": {}
}
],
"dropped_assets": [
{
"url": "<string>",
"reason": "quality"
}
]
}
],
"has_more": true
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}Query Parameters
The status of the task.
Available options:
PENDING, RUNNING, FAILED, SUCCEEDED A cursor to use in pagination. starting_after is an object ID that defines your place in the list. For example, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo to fetch the next page of the list.
This specifies a limit on the number of objects to return, ranging between 1 and 100.
Required range:
1 <= x <= 100Response
Successful Response
Last modified on June 19, 2026
Was this page helpful?